<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: G4Wrapping Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>G4Wrapping Class Reference</h1><!-- doxytag: class="G4Wrapping" -->
<p>a class generating the materials, volumes, and optical properties needed for a wrapping and allows to access them.  
</p>

<p><a href="classG4Wrapping-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4Wrapping.html#a434e4c98808df961a9ecce83aed804e9">G4Wrapping</a> (<a class="el" href="classG4ScintillatorTile.html">G4ScintillatorTile</a> *scinti_to_be_wrapped, G4String wrapping_property_file, G4VPhysicalVolume *mother_volume, G4String wrapping_name, std::vector&lt; G4VPhysicalVolume * &gt; cut_volumes, G4bool constructSensitiveDetector, G4bool searchOverlaps, <a class="el" href="classPropertyToolsManager.html">PropertyToolsManager</a> *propertyTools, G4OpticalSurfaceModel surfaceModel, G4OpticalSurfaceFinish surfaceFinish, <a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a> *dataStorage)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4Wrapping.html#ab236e74ab7adb5b00d333e472a7b9454">~G4Wrapping</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4Wrapping.html#aef81dad2849626977f96e99235457fa8">GetAirGapThickness</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4LogicalVolume *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4Wrapping.html#abb99f2648a58b066a0da5343b25fe324">GetInnerWrapping_layerLogicalVolume</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4VPhysicalVolume *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4Wrapping.html#aa6abcfdb6aa7a68688dd717d10b10fbf">GetInnerWrappingLayer_physicalVolume</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4Box *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4Wrapping.html#ac0300abd7b2ba749f590f528613b558a">GetInnerWrappingLayer_solidVolume</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4Material *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4Wrapping.html#a0547a89789af5d8719c6b88d4ce98816">GetInnerWrappingLayerMaterial</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4Wrapping.html#afcbe4098ee1577c8e1737657c2dab472">GetInnerWrappingLayerThickness</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4VPhysicalVolume *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4Wrapping.html#a37405ed7ec803157aab099e6d060ddb1">GetMotherVolume_physicalVolume</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classWrappingSensitiveDetector.html">WrappingSensitiveDetector</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4Wrapping.html#a9de7fb77d70bf6e912ae6480bc29c705">GetSensitiveDetector</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4LogicalVolume *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4Wrapping.html#a1f0e08b65e27da3f403474f1af11a273">GetWrapping_logicalVolume</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4VPhysicalVolume *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4Wrapping.html#a2c1c0169ca39dbc97ed9eaa136f7e02c">GetWrapping_physicalVolume</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4Box *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4Wrapping.html#a6399b15138b81a430d059177fde0d04a">GetWrapping_solidVolume</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4Wrapping.html#a30ec72307293d63ab9f37323461b63ca">GetWrappingDimensions</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4OpticalSurface *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4Wrapping.html#ad8799f9eab40230a57e897ed9760e3bd">GetWrappingInnerOpticalSurface</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4OpticalSurface *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4Wrapping.html#ab07a34761fef0327ac36bc33445660af">GetWrappingInternalOpticalSurface</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4Material *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4Wrapping.html#aed147f0b96616643c8677a813a216def">GetWrappingMaterial</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4Wrapping.html#a475b1ef4b267688c129d7b12d423a6a5">GetWrappingName</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4OpticalSurface *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4Wrapping.html#a70dfbd9bb3f746cdfb00e5b42ef9e034">GetWrappingOuterOpticalSurface</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4Wrapping.html#ad803a6027f5a46c7452b1ce14c7f2d8f">GetWrappingThickness</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4Transform3D&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4Wrapping.html#a03757a17b127fc54bf01db6a4231425a">GetWrappingTransformation</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4Wrapping.html#a685337e85e92e33df58006a7d267ea09">HasSensitiveDetector</a> ()</td></tr>
<tr><td colspan="2"><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4Wrapping.html#a4887710b86853396a312169b5faa4e13">ConstructLUTWrapping</a> (<a class="el" href="classG4ScintillatorTile.html">G4ScintillatorTile</a> *scinti_to_be_wrapped, G4OpticalSurfaceModel surfaceModel, G4OpticalSurfaceFinish surfaceFinish, G4SurfaceType surfaceType, G4double roughness, G4VPhysicalVolume *surrounding_volume=0)</td></tr>
<tr><td colspan="2"><h2>Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4Wrapping.html#aff025cde1a83c77891a4fd8c4fba1e98">ConstructWrappingSurface</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4Wrapping.html#a1527423c0227c986e6b41b05caac2a03">ConstructWrappingVolumes</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4Wrapping.html#ae69787491856df243ccf1f166af267a5">DefineWrapping1MaterialProperties</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4Wrapping.html#a03ccb77bc2e0bac639a170484775b9ce">DefineWrapping2MaterialProperties</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4Wrapping.html#ac4bfd5ed42a7729d0e3a150221cfa327">DefineWrappingMaterials</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4Wrapping.html#a43c9c1f1f5bbfc3f66060f2706ee2382">DefineWrappingSurfacesProperties</a> ()</td></tr>
</table>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a434e4c98808df961a9ecce83aed804e9"></a><!-- doxytag: member="G4Wrapping::G4Wrapping" ref="a434e4c98808df961a9ecce83aed804e9" args="(G4ScintillatorTile *scinti_to_be_wrapped, G4String wrapping_property_file, G4VPhysicalVolume *mother_volume, G4String wrapping_name, std::vector&lt; G4VPhysicalVolume * &gt; cut_volumes, G4bool constructSensitiveDetector, G4bool searchOverlaps, PropertyToolsManager *propertyTools, G4OpticalSurfaceModel surfaceModel, G4OpticalSurfaceFinish surfaceFinish, GODDeSS_DataStorage *dataStorage)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4Wrapping::G4Wrapping </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classG4ScintillatorTile.html">G4ScintillatorTile</a> *&nbsp;</td>
          <td class="paramname"> <em>scinti_to_be_wrapped</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>wrapping_property_file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>mother_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>wrapping_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; G4VPhysicalVolume * &gt;&nbsp;</td>
          <td class="paramname"> <em>cut_volumes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4bool&nbsp;</td>
          <td class="paramname"> <em>constructSensitiveDetector</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4bool&nbsp;</td>
          <td class="paramname"> <em>searchOverlaps</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classPropertyToolsManager.html">PropertyToolsManager</a> *&nbsp;</td>
          <td class="paramname"> <em>propertyTools</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4OpticalSurfaceModel&nbsp;</td>
          <td class="paramname"> <em>surfaceModel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4OpticalSurfaceFinish&nbsp;</td>
          <td class="paramname"> <em>surfaceFinish</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a> *&nbsp;</td>
          <td class="paramname"> <em>dataStorage</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Constructor to construct a wrapping volume around a <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>:</p>
<ul>
<li>sets class variables to default values</li>
<li>loads the property file</li>
<li>creates materials (<a class="el" href="classG4Wrapping.html#ac4bfd5ed42a7729d0e3a150221cfa327">DefineWrappingMaterials()</a>)</li>
<li>constructs the volumes (<a class="el" href="classG4Wrapping.html#a1527423c0227c986e6b41b05caac2a03">ConstructWrappingVolumes()</a>) </li>
</ul>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>scinti_to_be_wrapped</em>&nbsp;</td><td><a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> that should be wrapped with the <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a> </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>wrapping_property_file</em>&nbsp;</td><td>path to the file containing the <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a>'s properties </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>mother_volume</em>&nbsp;</td><td><a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a>'s mother volume </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>wrapping_name</em>&nbsp;</td><td>name of the <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a>'s volume (it will be extended to distinguish between different <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a>s and different volumes of one <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a>) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>cut_volumes</em>&nbsp;</td><td>volumes that should be cut out of the <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a> </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>constructSensitiveDetector</em>&nbsp;</td><td>a sensitive detector should be constructed ("true" or "false") </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>searchOverlaps</em>&nbsp;</td><td>Geant should search for overlaps when placing the physical volumes of <a class="el" href="classG4Fibre.html" title="a class generating the materials, volumes, and optical properties needed for a fibre...">G4Fibre</a>'s ("true" or "false") </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>propertyTools</em>&nbsp;</td><td>pointer to the <a class="el" href="classPropertyToolsManager.html" title="a class making the processing of the properties etc. much easier.">PropertyToolsManager</a> that should be used </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>surfaceModel</em>&nbsp;</td><td>model for the optical surfaces </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>surfaceFinish</em>&nbsp;</td><td>finish for the optical surfaces </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dataStorage</em>&nbsp;</td><td>pointer to the <a class="el" href="classGODDeSS__DataStorage.html" title="a class to save the data which was taken by the sensitive detectors">GODDeSS_DataStorage</a> that should be used </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab236e74ab7adb5b00d333e472a7b9454"></a><!-- doxytag: member="G4Wrapping::~G4Wrapping" ref="ab236e74ab7adb5b00d333e472a7b9454" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4Wrapping::~G4Wrapping </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Destructor (empty) </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a4887710b86853396a312169b5faa4e13"></a><!-- doxytag: member="G4Wrapping::ConstructLUTWrapping" ref="a4887710b86853396a312169b5faa4e13" args="(G4ScintillatorTile *scinti_to_be_wrapped, G4OpticalSurfaceModel surfaceModel, G4OpticalSurfaceFinish surfaceFinish, G4SurfaceType surfaceType, G4double roughness, G4VPhysicalVolume *surrounding_volume=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void G4Wrapping::ConstructLUTWrapping </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classG4ScintillatorTile.html">G4ScintillatorTile</a> *&nbsp;</td>
          <td class="paramname"> <em>scinti_to_be_wrapped</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4OpticalSurfaceModel&nbsp;</td>
          <td class="paramname"> <em>surfaceModel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4OpticalSurfaceFinish&nbsp;</td>
          <td class="paramname"> <em>surfaceFinish</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4SurfaceType&nbsp;</td>
          <td class="paramname"> <em>surfaceType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>roughness</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>surrounding_volume</em> = <code>0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to create a wrapping around a <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> by using the surface properties and Look Up Tables. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>scinti_to_be_wrapped</em>&nbsp;</td><td><a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> that should be wrapped with the <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a> </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>surfaceModel</em>&nbsp;</td><td>model for the optical surfaces </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>surfaceFinish</em>&nbsp;</td><td>finish for the optical surfaces </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>surfaceType</em>&nbsp;</td><td>type of the optical surfaces </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>roughness</em>&nbsp;</td><td>roughness of the wrapping surface (the parameter defines the standard deviation of the Gaussian distribution of micro-facets' normals around the average surface normal in degree or radian) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>surrounding_volume</em>&nbsp;</td><td>volume sharing the surface with the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> that should be wrapped (if 0, the whole <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>'s surface will be wrapped, otherwise only the shared surface will be wrapped) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aff025cde1a83c77891a4fd8c4fba1e98"></a><!-- doxytag: member="G4Wrapping::ConstructWrappingSurface" ref="aff025cde1a83c77891a4fd8c4fba1e98" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void G4Wrapping::ConstructWrappingSurface </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to construct surfaces between different volumes and define their mechanical and optical properties (according to the specifications from the property file(s)). <br/>
 The following properties are defined:</p>
<ul>
<li>surface type ("dielectric_metal" or "dielectric_dielectric")</li>
<li>surface roughness</li>
<li>reflectivity (<a class="el" href="classG4Wrapping.html#a43c9c1f1f5bbfc3f66060f2706ee2382">DefineWrappingSurfacesProperties()</a>) </li>
</ul>

</div>
</div>
<a class="anchor" id="a1527423c0227c986e6b41b05caac2a03"></a><!-- doxytag: member="G4Wrapping::ConstructWrappingVolumes" ref="a1527423c0227c986e6b41b05caac2a03" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void G4Wrapping::ConstructWrappingVolumes </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to construct all volumes and surfaces for wrapping volumes. </p>

</div>
</div>
<a class="anchor" id="ae69787491856df243ccf1f166af267a5"></a><!-- doxytag: member="G4Wrapping::DefineWrapping1MaterialProperties" ref="ae69787491856df243ccf1f166af267a5" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void G4Wrapping::DefineWrapping1MaterialProperties </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to define the following material properties of the inner wrapping layer (according to the specifications from the property file):</p>
<ul>
<li>refractive index spectrum</li>
<li>attenuation length / absorption spectrum </li>
</ul>

</div>
</div>
<a class="anchor" id="a03ccb77bc2e0bac639a170484775b9ce"></a><!-- doxytag: member="G4Wrapping::DefineWrapping2MaterialProperties" ref="a03ccb77bc2e0bac639a170484775b9ce" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void G4Wrapping::DefineWrapping2MaterialProperties </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to define the following material properties of the outer wrapping layer (according to the specifications from the property file):</p>
<ul>
<li>refractive index spectrum</li>
<li>attenuation length / absorption spectrum </li>
</ul>

</div>
</div>
<a class="anchor" id="ac4bfd5ed42a7729d0e3a150221cfa327"></a><!-- doxytag: member="G4Wrapping::DefineWrappingMaterials" ref="ac4bfd5ed42a7729d0e3a150221cfa327" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void G4Wrapping::DefineWrappingMaterials </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to define materials (compounds, alloys) and their properties:</p>
<ul>
<li>creates new materials according to the specifications from the property file(s)</li>
<li>if the same materials already exist, the newly created ones are deleted </li>
</ul>

</div>
</div>
<a class="anchor" id="a43c9c1f1f5bbfc3f66060f2706ee2382"></a><!-- doxytag: member="G4Wrapping::DefineWrappingSurfacesProperties" ref="a43c9c1f1f5bbfc3f66060f2706ee2382" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void G4Wrapping::DefineWrappingSurfacesProperties </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to define the optical properties of the reflective surfaces (according to the specifications from the property file(s)). <br/>
 The following properties are defined:</p>
<ul>
<li>reflectivity</li>
<li>fraction of reflection at the average surface</li>
<li>fraction of reflection at a micro facet surface</li>
<li>fraction of back scattering</li>
<li>fraction of internal (diffuse) Lambertian reflection </li>
</ul>

</div>
</div>
<a class="anchor" id="aef81dad2849626977f96e99235457fa8"></a><!-- doxytag: member="G4Wrapping::GetAirGapThickness" ref="aef81dad2849626977f96e99235457fa8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4double G4Wrapping::GetAirGapThickness </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>thickness of the air gap </dd></dl>

</div>
</div>
<a class="anchor" id="abb99f2648a58b066a0da5343b25fe324"></a><!-- doxytag: member="G4Wrapping::GetInnerWrapping_layerLogicalVolume" ref="abb99f2648a58b066a0da5343b25fe324" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4LogicalVolume* G4Wrapping::GetInnerWrapping_layerLogicalVolume </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the logical volume of the inner wrapping layer </dd></dl>

</div>
</div>
<a class="anchor" id="aa6abcfdb6aa7a68688dd717d10b10fbf"></a><!-- doxytag: member="G4Wrapping::GetInnerWrappingLayer_physicalVolume" ref="aa6abcfdb6aa7a68688dd717d10b10fbf" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4VPhysicalVolume* G4Wrapping::GetInnerWrappingLayer_physicalVolume </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the physical volume of the inner wrapping layer </dd></dl>

</div>
</div>
<a class="anchor" id="ac0300abd7b2ba749f590f528613b558a"></a><!-- doxytag: member="G4Wrapping::GetInnerWrappingLayer_solidVolume" ref="ac0300abd7b2ba749f590f528613b558a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4Box* G4Wrapping::GetInnerWrappingLayer_solidVolume </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the solid volume of the inner wrapping layer </dd></dl>

</div>
</div>
<a class="anchor" id="a0547a89789af5d8719c6b88d4ce98816"></a><!-- doxytag: member="G4Wrapping::GetInnerWrappingLayerMaterial" ref="a0547a89789af5d8719c6b88d4ce98816" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4Material* G4Wrapping::GetInnerWrappingLayerMaterial </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the material of the inner wrapping layer </dd></dl>

</div>
</div>
<a class="anchor" id="afcbe4098ee1577c8e1737657c2dab472"></a><!-- doxytag: member="G4Wrapping::GetInnerWrappingLayerThickness" ref="afcbe4098ee1577c8e1737657c2dab472" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4double G4Wrapping::GetInnerWrappingLayerThickness </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>thickness of the inner wrapping layer </dd></dl>

</div>
</div>
<a class="anchor" id="a37405ed7ec803157aab099e6d060ddb1"></a><!-- doxytag: member="G4Wrapping::GetMotherVolume_physicalVolume" ref="a37405ed7ec803157aab099e6d060ddb1" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4VPhysicalVolume* G4Wrapping::GetMotherVolume_physicalVolume </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a>'s mother volume </dd></dl>

</div>
</div>
<a class="anchor" id="a9de7fb77d70bf6e912ae6480bc29c705"></a><!-- doxytag: member="G4Wrapping::GetSensitiveDetector" ref="a9de7fb77d70bf6e912ae6480bc29c705" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classWrappingSensitiveDetector.html">WrappingSensitiveDetector</a>* G4Wrapping::GetSensitiveDetector </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the sensitive detector </dd></dl>

</div>
</div>
<a class="anchor" id="a1f0e08b65e27da3f403474f1af11a273"></a><!-- doxytag: member="G4Wrapping::GetWrapping_logicalVolume" ref="a1f0e08b65e27da3f403474f1af11a273" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4LogicalVolume* G4Wrapping::GetWrapping_logicalVolume </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if an outer wrapping layer exists: </b> pointer to its logical volume </dd>
<dd>
<b> else: </b> pointer to the logical volume of the inner wrapping layer </dd></dl>

</div>
</div>
<a class="anchor" id="a2c1c0169ca39dbc97ed9eaa136f7e02c"></a><!-- doxytag: member="G4Wrapping::GetWrapping_physicalVolume" ref="a2c1c0169ca39dbc97ed9eaa136f7e02c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4VPhysicalVolume* G4Wrapping::GetWrapping_physicalVolume </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if an outer wrapping layer exists: </b> pointer to its physical volume </dd>
<dd>
<b> else: </b> pointer to the physical volume of the inner wrapping layer </dd></dl>

</div>
</div>
<a class="anchor" id="a6399b15138b81a430d059177fde0d04a"></a><!-- doxytag: member="G4Wrapping::GetWrapping_solidVolume" ref="a6399b15138b81a430d059177fde0d04a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4Box* G4Wrapping::GetWrapping_solidVolume </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if an outer wrapping layer exists: </b> pointer to its solid volume </dd>
<dd>
<b> else: </b> pointer to the solid volume of the inner wrapping layer </dd></dl>

</div>
</div>
<a class="anchor" id="a30ec72307293d63ab9f37323461b63ca"></a><!-- doxytag: member="G4Wrapping::GetWrappingDimensions" ref="a30ec72307293d63ab9f37323461b63ca" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector G4Wrapping::GetWrappingDimensions </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>the <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a>'s dimensions </dd></dl>

</div>
</div>
<a class="anchor" id="ad8799f9eab40230a57e897ed9760e3bd"></a><!-- doxytag: member="G4Wrapping::GetWrappingInnerOpticalSurface" ref="ad8799f9eab40230a57e897ed9760e3bd" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4OpticalSurface* G4Wrapping::GetWrappingInnerOpticalSurface </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the optical surface of the inner wrapping layer </dd></dl>

</div>
</div>
<a class="anchor" id="ab07a34761fef0327ac36bc33445660af"></a><!-- doxytag: member="G4Wrapping::GetWrappingInternalOpticalSurface" ref="ab07a34761fef0327ac36bc33445660af" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4OpticalSurface* G4Wrapping::GetWrappingInternalOpticalSurface </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if an outer wrapping layer exists: </b> pointer to the optical surface between both wrapping layers </dd>
<dd>
<b> else: </b> 0 </dd></dl>

</div>
</div>
<a class="anchor" id="aed147f0b96616643c8677a813a216def"></a><!-- doxytag: member="G4Wrapping::GetWrappingMaterial" ref="aed147f0b96616643c8677a813a216def" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4Material* G4Wrapping::GetWrappingMaterial </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if an outer wrapping layer exists: </b> pointer to its material </dd>
<dd>
<b> else: </b> pointer to the material of the inner wrapping layer </dd></dl>

</div>
</div>
<a class="anchor" id="a475b1ef4b267688c129d7b12d423a6a5"></a><!-- doxytag: member="G4Wrapping::GetWrappingName" ref="a475b1ef4b267688c129d7b12d423a6a5" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String G4Wrapping::GetWrappingName </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>the <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a>'s name </dd></dl>

</div>
</div>
<a class="anchor" id="a70dfbd9bb3f746cdfb00e5b42ef9e034"></a><!-- doxytag: member="G4Wrapping::GetWrappingOuterOpticalSurface" ref="a70dfbd9bb3f746cdfb00e5b42ef9e034" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4OpticalSurface* G4Wrapping::GetWrappingOuterOpticalSurface </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if an outer wrapping layer exists: </b> pointer to its optical surface </dd>
<dd>
<b> else: </b> pointer to the optical surface of the inner wrapping layer </dd></dl>

</div>
</div>
<a class="anchor" id="ad803a6027f5a46c7452b1ce14c7f2d8f"></a><!-- doxytag: member="G4Wrapping::GetWrappingThickness" ref="ad803a6027f5a46c7452b1ce14c7f2d8f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4double G4Wrapping::GetWrappingThickness </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if an outer wrapping layer exists: </b> its thickness </dd>
<dd>
<b> else: </b> thickness of the inner wrapping layer </dd></dl>

</div>
</div>
<a class="anchor" id="a03757a17b127fc54bf01db6a4231425a"></a><!-- doxytag: member="G4Wrapping::GetWrappingTransformation" ref="a03757a17b127fc54bf01db6a4231425a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4Transform3D G4Wrapping::GetWrappingTransformation </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>the transformation of the <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a> inside the mother volume </dd></dl>

</div>
</div>
<a class="anchor" id="a685337e85e92e33df58006a7d267ea09"></a><!-- doxytag: member="G4Wrapping::HasSensitiveDetector" ref="a685337e85e92e33df58006a7d267ea09" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4bool G4Wrapping::HasSensitiveDetector </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>G4bool, if the <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a> has a sensitive detector </dd></dl>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 22 Jul 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
